/*
 * libmedia-thumbnail
 *
 * Copyright (c) 2000 - 2011 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: Hyunjun Ko <zzoon.ko@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#include <sqlite3.h>
#include <media-util.h>

#ifndef _MEDIA_THUMB_DB_H_
#define _MEDIA_THUMB_DB_H_

#define STRING_VALID(str)	((str != NULL && strlen(str) > 0) ? TRUE : FALSE)
#define SQLITE3_FINALIZE(x)	{if (x != NULL) sqlite3_finalize(x); }
#define SQLITE3_SAFE_FREE(x)	{if (x != NULL) {sqlite3_free(x); x = NULL; } }

#define SELECT_THUMB_BY_PATH "SELECT media_thumbnail_path FROM media WHERE media_path='%q' AND media_thumbnail_path IS NOT NULL;"
#define UPDATE_THUMB_BY_PATH "UPDATE media SET media_thumbnail_path = '%q' WHERE media_path='%q';"

int _media_thumb_get_thumb_from_db(const char *origin_path, char *thumb_path, int max_length, uid_t uid);
int _media_thumb_update_db(const char *origin_path, char *thumb_path, uid_t uid);

#endif /*_MEDIA_THUMB_DB_H_*/

